Bug 165001 - Web Automation: add ObjC SPI to set whether a page is controlled by automation
Summary: Web Automation: add ObjC SPI to set whether a page is controlled by automation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: BJ Burg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-20 20:03 PST by BJ Burg
Modified: 2016-11-29 06:03 PST (History)
8 users (show)

See Also:


Attachments
Proposed Fix (8.61 KB, patch)
2016-11-21 14:35 PST, BJ Burg
mitz: review+
bburg: commit-queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2016-11-20 20:03:11 PST
This exists in the WebKit C API. It should be in the ObjC API too. Add it as a private flag on WKWebViewConfiguration and propagate to the existing plumbing in WebPageProxy/WebPageCreationParameters.
Comment 1 BJ Burg 2016-11-20 20:31:40 PST
<rdar://problem/29350432>
Comment 2 BJ Burg 2016-11-21 14:35:04 PST
Created attachment 295312 [details]
Proposed Fix
Comment 3 mitz 2016-11-28 11:19:46 PST
Comment on attachment 295312 [details]
Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=295312&action=review

> Source/WebKit2/UIProcess/API/Cocoa/WKWebViewConfiguration.mm:181
> +    _controlledByAutomation = NO;

I know that there are many precedents in this file, but there’s no need to initialize instance variables to 0, NO, nil etc.
Comment 4 BJ Burg 2016-11-29 06:03:31 PST
Committed r209067: <http://trac.webkit.org/changeset/209067>